### Function

# Secret password_searchv_sync

since: 0.19.0

#### Declaration [src]

    GList*
    secret_password_searchv_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Search for items in the secret service.

The `attributes` should be a set of key and value string pairs.

If no secret is found then `NULL` is returned.

This method may block indefinitely and should not be used in user interface threads.

Available since: 0.19.0

This method is renamed to `secret_password_search_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the function.

`flags`

  Type: `SecretSearchFlags`

  Search option flags.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `None`

A list of `SecretRetrievable` containing attributes of the matched items.

The caller of the function takes ownership of the data, and is responsible for freeing it.